Product Configuration
Request a Product Configuration
Request a Product Configuration for Payment Gateway using Razorpay Partners APIs.
POST
Use this endpoint to request a product configuration for Payment Gateway or Payment Links. You can even accept terms and conditions for the requested product using these APIs. Know about the various error responses for this API.
Path Parameters
string
The unique identifier of the sub-merchant account generated by Razorpay. For example,
acc_HQVlm3bnPmccC0. This id is used to fetch or update a product. The product is created for this sub-merchant account id.Request Parameters
string
required
The product(s) to be configured. Possible values:
payment_gatewaypayment_links
boolean
Pass this parameter to accept terms and conditions. Send this parameter along with the
ip parameter when the tnc is accepted. Possible value is true which indicates acceptance of terms and conditions.string
The IP address of the merchant while accepting the terms and conditions. Send this parameter along with the
tnc_accepted parameter when the tnc is accepted.Response Parameters
object
The configuration of the product requested by the user that is yet to be set as active.
object
It consists of the configuration for the accepted terms and conditions by the merchant for the requested product. If the terms and conditions are accepted by the user for the requested product, it would consist of following fields:
string
The unique identifier representing the acceptance of terms and conditions for a product by a user.
boolean
The flag that represents whether the terms and conditions were accepted by the user.
true: Terms and conditions are accepted by user.false: Terms and conditions are not accepted by user.
integer
The Unix timestamp at which the terms and conditions were accepted by the user for the requested product.
object
The configuration of the product that has been set as active.
object
The Payment Capture Settings Object
string
The mode through which payment capture is done. Possible values:
automatic: Payments are auto-captured (default)manual: You have to manually capture payments using our Capture API or from the Partner’s Dashboard.
numeric
This denotes the time in minutes when the payment is in the authorized state. This is auto-captured.
numeric
This denotes the time in minutes until you can manually capture payments in the authorized state.
- Must be equal to or greater than the
automatic_expire_periodvalue. - The default and the maximum value is 7200 minutes.
- The payments in the authorized state after the
manual_expiry_periodare auto-refunded.
object
The Settlement settings object.
string
The bank account number to which settlements are made. Account details can be found on the Dashboard. For example, 7878780080316316.
string
The IFSC associated with the bank account. For example,
RATN0VAAPIS.string
The name of the beneficiary associated with the bank account.
object
The checkout form of the payment capture.
string
The theme color for sub-merchant’s checkout page.
string
The logo of the sub-merchant’s business on the checkout page.
boolean
The flagging options Enable or Disable for Razorpay’s Flash Checkout to securely save the card details of your customers.
object
This denotes the payment refund settings.
string
Speed at which the refund is to be processed. Possible values:
- normal: Indicates that the refund will be processed via the normal speed. By default, the refund will take 5-7 working days.
- optimum: Indicates that the refund will be processed at an optimal speed based on Razorpay’s internal fund transfer logic. That is:
- If the refund can be processed instantly, Razorpay will initiate the process irrespective of the payment method used to make the payment.
- If an instant refund is not made, Razorpay will initiate a refund that is processed at the normal speed. For example, payments made using debit cards, netbanking or unsupported credit cards.
object
This denotes the notifications settings.
string
The email addresses that will receive notifications regarding payments, settlements, daily payment reports, webhooks, and so on.
boolean
The WhatsApp notifications you receive regarding payments, settlements, daily payment reports, webhooks, etc.
boolean
The SMS notifications you receive regarding payments, settlements, daily payment reports, webhooks, etc. This attribute will be set to
false.object
Details of the payment method you want to enable for the product.
object
The payment method to be enabled.
boolean
Enables or disables the payment method. Possible values:
true: Enables thenetbankingpayment method.false: Does not enable thenetbankingpayment method.
object
Details regarding the bank.
string
The type of bank. Possible values are
retail and corporate.string
The bank code. Refer to the list of bank codes.
object
The payment method to be enabled.
boolean
Enables or disables the payment method. Possible values:
true: Enables thecardpayment method.false: Does not enable thecardpayment method.
object
Details regarding the card.
string
Possible value is
domestic.string
The card issuer. Possible values:
amexdiclmaestromastercardrupayvisa
object
The payment method to be enabled.
boolean
Enables or disables the payment method. Possible values:
true: Enables thewalletpayment method.false: Does not enable thewalletpayment method.
string
The wallet issuer. Possible values:
airtelmoneyamazonpayjiomoneymobiwikmpesaolamoneypaytmpayzapppayumoneyphonepephonepeswitchsbibuddy
object
The payment method to be enabled.
boolean
Enables or disables the payment method. Possible values:
true: Enables theupipayment method.false: Does not enable theupipayment method.
string
The UPI service provider. Possible values:
google_payupi
object
The payment method to be enabled.
boolean
Enables or disables the payment method. Possible values:
true: Enables thepaylaterpayment method.false: Does not enable thepaylaterpayment method.
string
The Paylater service provider. Possible values:
epaylatergetsimpl
object
The payment method to be enabled.
boolean
Enables or disables the payment method. Possible values:
true: Enables thepaylaterpayment method.false: Does not enable thepaylaterpayment method.
object
The EMI instrument object.
string
The type of EMI payment method. Possible values:
card_emicardless_emi
string
The list of EMI partners requested or enabled. Possible values:
- For
card_emi:debitandcredit. - For
cardless_emi:zestmoneyandearlysalary.
object
The list of requirements to be enabled for this product or some of the configurations under this product. It is classified into two types:
- Required document: field_reference: “proof_type.document_type”. For example:
business_proof_of_identification.business_pan_url. The sub-merchant needs to upload thebusiness_pan_urldocument to get the requirement fulfilled. - Selected required document: field_reference : “proof_type”. For example:
individual_proof_of_address. The sub-merchant can upload ONE of the following groups, that is, submit [aadhar_front,aadhar_back] or [voter_id_front,voter_id_back] or [passport_front,passport_back]. Once all the documents of any ONE of the groups are uploaded, the requirement gets fulfilled.
string
The field which is in issue or missing. The JSON key path in resolution URL.
string
The URL to address the requirement. The API endpoint to be used for updating missing fields or documents.
string
The status of the requirement.
string
The reason code for showing in the requirement. Possible values:
field_missingneeds_clarificationdocument_missing
string
The unique identifier of the sub-merchant product account generated by Razorpay. For example,
acc_prd_HEgNpywUFctQ9e. The product is created for this sub-merchant account id.string
The unique identifier of the sub-merchant generated by Razorpay. For example,
acc_HQVlm3bnPmccC0.string
The product(s) to be configured. Possible values:
payment_gatewaypayment_links
string
The status of the product activation.
requestedneeds_clarificationunder_reviewactivatedsuspended
integer
The Unix timestamp at which the product configuration has been requested.